final class FactoryMethodMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Metoda wytwórcza: Vehicle Factory 2");   
        var sportCar = VehicleFactory.produce("sportowe");
        System.out.println("auto sportowe:" + sportCar);
        sportCar.move();
    }
}
